# $Revision: 1.6 $, $Date: 2012/01/13 12:41:20 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Linux
%define	pnam	Inotify2
Summary:	Linux::Inotify2 - scalable directory/file change notification
#Summary(pl.UTF-8):
Name:		perl-Linux-Inotify2
Version:	1.22
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Linux/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bc0a86f04476f9e0aaab026b8081f097
URL:		http://search.cpan.org/dist/Linux-Inotify2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-common-sense
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements an interface to the Linux 2.6.13 and later
Inotify file/directory change notification sytem.

It has a number of advantages over the Linux::Inotify module:

   - it is portable (Linux::Inotify only works on x86)
   - the equivalent of fullname works correctly
   - it is better documented
   - it has callback-style interface, which is better suited for
     integration.

# %description -l pl.UTF-8

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Linux
%{perl_vendorarch}/Linux/*.pm
%dir %{perl_vendorarch}/auto/Linux
%dir %{perl_vendorarch}/auto/Linux/Inotify2
%{perl_vendorarch}/auto/Linux/Inotify2/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Linux/Inotify2/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Linux-Inotify2.spec,v $
Revision 1.6  2012/01/13 12:41:20  zbyniu
- up to 1.22

Revision 1.5  2010/06/06 08:38:32  arekm
- release 2

Revision 1.4  2009/10/21 11:21:20  amateja
- added BR: perl-common-sense

Revision 1.3  2009/10/20 12:50:08  amateja
- updated to 1.21

Revision 1.2  2009/09/09 08:00:26  amateja
- added missing %dirs in %files section

Revision 1.1  2009/06/16 09:53:30  amateja
- initial

